# Comfy Recipes

Comfy Recipes is a simple application that renders your recipes into HTML.

Documentation is available at <https://comfy.city/comfy-recipes/docs>

## Building the python package
Make sure you have hatchling and build modules installed.
```sh
python3 -m build
```

The package can now be installed with
```sh
pip install dist/comfy-recipes-*-py3-none-any.whl
```

## Building the docker container
```sh
docker build -t codeberg.org/comfy.city/comfy-recipes .
```

The container can now be ran
```sh
docker run --rm codeberg.org/comfy.city/comfy-recipes
```

## Building the documentation
```sh
cd docs
mdbook build
```

Documentation can now be served with
```sh
mdbook serve
```
